Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1004 - packet upgrading erraneous
Summary: packet upgrading erraneous
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-31 15:26 UTC by kapet
Modified: 2013-09-09 17:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-24 01:23:22 UTC


Attachments (Terms of Use)

Description kapet 1999-01-31 15:26:10 UTC
when upgrading a packet with config files, the old ones
are correctly renamed, but no new config files are written

Comment 1 kapet 1999-01-31 15:27:59 UTC
oops, forgotten: rpm version 2.91

Comment 2 Cristian Gafton 1999-02-01 19:25:59 UTC
Jeff, if you can make anything out of this report... Otherwise I guess
we will need a whole lot more information that "things fail"

Comment 3 stewart 1999-02-03 03:45:59 UTC
Using rpm from cvs around Jan 30th.  I just rebuild setup-1.9.2-2,
then installed it.  Afterwards I found out that /etc/passwd and
/etc/group are gone...  Quite alarming.  I was about to blame it on
the NetWinder and reboot, glad I fixed /etc/passwd and group first.

Comment 4 Erik Troan 1999-03-24 01:23:59 UTC
fixed in RPM 2.93

Comment 5 CFME Bot 2013-09-04 19:40:24 UTC
Commits pushed to master at https://github.com/ManageIQ/cfme

https://github.com/ManageIQ/cfme/commit/c934608c418ea86ff630607a4ed495f9559a265f
Added "Retirement Entry Point" field and cleanup in existing code.

Renamed "Entry Point (NS/Cls/Inst)" to "Provisioning Entry Point". Added "Retirement Entry Point" field below it using existing automate tree selector that's being used by Provisioning Entry Point field. Similar to fqname creating a "Provision" resource action, this new retire_fqname creates a "Retirement" resource action attached to the service template. Did some refactoring and pulled code out of the prov_req_submit method in application_controller/miq_request_methods that is run when an atomic catalog item is saved.

Issue #1004
Bug 1004017

https://github.com/ManageIQ/cfme/commit/3fcb98ada2ff1f8c744ef060cbd8ad04e21a1a33
Added line break in the Entry Point labels before (NS/Cls/Inst).

Issue #1004
Bug 1004017

https://github.com/ManageIQ/cfme/commit/aa6a92375e1060f7d4679a616c698d21e59b5bfd
Spec test to verify Retirement/Provision Entry Points are saved

Spec test to verify Retirement/Provision Resource Actions are saved for a Service Template.

Issue #1004
Bug 1004017

Comment 6 CFME Bot 2013-09-09 17:47:15 UTC
Commits pushed to master at https://github.com/ManageIQ/cfme

https://github.com/ManageIQ/cfme/commit/15b8adc398a7ad771c74be573d3f03146ed7064d
Fixed refactored method to redirect to request list view.

Fixed prov_req_submit method that was refactored in previous commit, fixed it to redirect to requests list view after request is submitted successfully. Removed incoming parameter from method definition.

Issue #1004
Bug 1004017

https://github.com/ManageIQ/cfme/commit/07836bef9b00cd6d73a10a84ab799f9be253bc2c
Minor change to use a variable that was set above in switch/case check

Issue #1004
Bug 1004017


Note You need to log in before you can comment on or make changes to this bug.